package com.ruoyi.project.ehs.service;

import java.util.List;
import com.ruoyi.project.ehs.domain.TJobticket;

/**
 * 工作票Service接口
 * 
 * @author ruoyi
 * @date 2020-12-01
 */
public interface ITJobticketService 
{
    /**
     * 查询工作票
     * 
     * @param id 工作票ID
     * @return 工作票
     */
    public TJobticket selectTJobticketById(Long id);

    /**
     * 查询工作票列表
     * 
     * @param tJobticket 工作票
     * @return 工作票集合
     */
    public List<TJobticket> selectTJobticketList(TJobticket tJobticket);

    /**
     * 新增工作票
     * 
     * @param tJobticket 工作票
     * @return 结果
     */
    public int insertTJobticket(TJobticket tJobticket);

    /**
     * 修改工作票
     * 
     * @param tJobticket 工作票
     * @return 结果
     */
    public int updateTJobticket(TJobticket tJobticket);

    /**
     * 批量删除工作票
     * 
     * @param ids 需要删除的工作票ID
     * @return 结果
     */
    public int deleteTJobticketByIds(Long[] ids);

    /**
     * 删除工作票信息
     * 
     * @param id 工作票ID
     * @return 结果
     */
    public int deleteTJobticketById(Long id);

    /**
     * 查询是否重复记录数
     *
     * @param tJobticket
     * @return 结果
     */
     public int selectTJobticketSameData(TJobticket tJobticket);
}
